## org.mortbay.jetty.win32
Class Service

    java.lang.Object
      |
      +--org.mortbay.jetty.win32.Service

public class Service
extends java.lang.Object

Run Jetty as a Win32 service. System.out and System.err output can be controlled with java properties: SERVICE_OUT and SERVICE_ERR. The log file can be controlled with the property SERVICE_LOG_FILE

#### Example

     jettysvc -c -DSERVICE_OUT="./logs/jettysvc.out" \\
                 -DSERVICE_ERR="./logs/jettysvc.err" \\
                 Jetty.xml wrkdir=$JETTY_HOME

Version:
  $Revision: 1.5 $
Author:
  Greg Wilkins (gregw)

Field Summary
`static int` `SERVICE_CONTROL_CONTINUE`
`static int` `SERVICE_CONTROL_INTERROGATE`
`static int` `SERVICE_CONTROL_PARAMCHANGE`
`static int` `SERVICE_CONTROL_PAUSE`
`static int` `SERVICE_CONTROL_SHUTDOWN`
`static int` `SERVICE_CONTROL_STOP`

Method Summary
`static void` `dispatchSCMEvent(int eventID)`
`static void` `main(java.lang.String[] arg)`
`static void` `stopAndDestroy(java.lang.String[] arg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_CONTROL_STOP

    public static final int SERVICE_CONTROL_STOP

See Also:
  Constant Field Values

### SERVICE_CONTROL_PAUSE

    public static final int SERVICE_CONTROL_PAUSE

See Also:
  Constant Field Values

### SERVICE_CONTROL_CONTINUE

    public static final int SERVICE_CONTROL_CONTINUE

See Also:
  Constant Field Values

### SERVICE_CONTROL_INTERROGATE

    public static final int SERVICE_CONTROL_INTERROGATE

See Also:
  Constant Field Values

### SERVICE_CONTROL_SHUTDOWN

    public static final int SERVICE_CONTROL_SHUTDOWN

See Also:
  Constant Field Values

### SERVICE_CONTROL_PARAMCHANGE

    public static final int SERVICE_CONTROL_PARAMCHANGE

See Also:
  Constant Field Values

Method Detail

### dispatchSCMEvent

    public static void dispatchSCMEvent(int eventID)

### stopAndDestroy

    public static void stopAndDestroy(java.lang.String[] arg)

### main

    public static void main(java.lang.String[] arg)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.